RealmCallback (GNU cryptographic primitives and tools)
Keywords: javax.security.sasl.RealmCallback,RealmCallback class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.sasl
Class RealmCallback

    java.lang.Object
      |
      +--javax.security.auth.callback.TextInputCallback
            |
            +--javax.security.sasl.RealmCallback

All Implemented Interfaces:
  Callback, java.io.Serializable

public class RealmCallback
extends TextInputCallback

This callback is used by `SaslClient` and `SaslServer` to retrieve realm information.

See Also:
  Serialized Form

Constructor Summary
`RealmCallback(java.lang.String prompt)` Constructs a `RealmCallback` with a prompt.
`RealmCallback(java.lang.String prompt, java.lang.String defaultRealmInfo)` Constructs a `RealmCallback` with a prompt and default realm information.

Methods inherited from class javax.security.auth.callback.TextInputCallback
`getDefaultText, getPrompt, getText, setText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RealmCallback

    public RealmCallback(java.lang.String prompt)

  Constructs a `RealmCallback` with a prompt.

Parameters:
  `prompt` - the non-null prompt to use to request the realm information.
Throws:
  `java.lang.IllegalArgumentException` - if `prompt` is `null` or empty.

### RealmCallback

    public RealmCallback(java.lang.String prompt,
                         java.lang.String defaultRealmInfo)

  Constructs a `RealmCallback` with a prompt and default realm information.

Parameters:
  `prompt` - the non-null prompt to use to request the realm information.
  `defaultRealmInfo` - the non-null default realm information to use.
Throws:
  `java.lang.IllegalArgumentException` - if `prompt` is `null` or empty, or if `defaultRealm` is empty or `null`.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.